/*
 @licstart  The following is the entire license notice for the JavaScript code in this file.

 The MIT License (MIT)

 Copyright (C) 1997-2020 by Dimitri van Heesch

 Permission is hereby granted, free of charge, to any person obtaining a copy of this software
 and associated documentation files (the "Software"), to deal in the Software without restriction,
 including without limitation the rights to use, copy, modify, merge, publish, distribute,
 sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:

 The above copyright notice and this permission notice shall be included in all copies or
 substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING
 BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
 DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

 @licend  The above is the entire license notice for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "Qore Programming Language - C/C++ Library", "index.html", [
    [ "Programming with the Qore Library", "index.html", "index" ],
    [ "Embedding Qore Code", "embedding_page.html", [
      [ "Embedding Qore Code", "embedding_page.html#embedding", [
        [ "Initializing and Closing the Qore Library", "embedding_page.html#initializing_and_closing_library", null ],
        [ "Parsing and Running Qore Code", "embedding_page.html#parsing_and_running", null ]
      ] ]
    ] ],
    [ "Qore Builtin Functions", "builtin_functions_page.html", [
      [ "Qore Builtin Functions", "builtin_functions_page.html#builtin_functions", [
        [ "Handling Function Arguments", "builtin_functions_page.html#handling_function_arguments", null ],
        [ "Function Return Value", "builtin_functions_page.html#function_return_value", null ],
        [ "Raising Exceptions in a Function", "builtin_functions_page.html#function_raising_exceptions", null ]
      ] ]
    ] ],
    [ "Implementing Qore Classes", "class_implementation_page.html", [
      [ "Implementing Qore Classes", "class_implementation_page.html#class_implementation", [
        [ "Constructor Methods", "class_implementation_page.html#constructor_methods", null ],
        [ "Copy Methods", "class_implementation_page.html#copy_methods", null ],
        [ "Destructor Methods", "class_implementation_page.html#destructor_methods", null ],
        [ "Regular Class Methods", "class_implementation_page.html#regular_class_methods", null ],
        [ "Static Class Methods", "class_implementation_page.html#static_class_methods", null ],
        [ "Threading Issues in Class Implementation", "class_implementation_page.html#object_threading_issues", null ],
        [ "Implementing Class Hierarchies", "class_implementation_page.html#class_hierarchies", null ]
      ] ]
    ] ],
    [ "Implementing Qore DBI Drivers", "dbi_drivers_page.html", [
      [ "Implementing Qore DBI Drivers", "dbi_drivers_page.html#dbi_drivers", [
        [ "DBI Function Overview", "dbi_drivers_page.html#dbi_function_overview", null ],
        [ "DBI Open Method", "dbi_drivers_page.html#dbi_open", null ],
        [ "DBI Close Method", "dbi_drivers_page.html#dbi_close", null ],
        [ "DBI Select Method", "dbi_drivers_page.html#dbi_select", null ],
        [ "DBI SelectRows Method", "dbi_drivers_page.html#dbi_select_rows", null ],
        [ "DBI Exec Method", "dbi_drivers_page.html#dbi_exec", null ],
        [ "DBI Commit Method", "dbi_drivers_page.html#dbi_commit", null ],
        [ "DBI Rollback Method", "dbi_drivers_page.html#dbi_rollback", null ],
        [ "DBI BeginTransaction Method", "dbi_drivers_page.html#dbi_begin_transaction", null ],
        [ "DBI AbortTransactionStart Method", "dbi_drivers_page.html#dbi_abort_transaction_start", null ],
        [ "DBI GetServerVersion Method", "dbi_drivers_page.html#dbi_get_server_version", null ],
        [ "DBI GetClientVersion Method", "dbi_drivers_page.html#dbi_get_client_version", null ]
      ] ]
    ] ],
    [ "Deprecated List", "deprecated.html", null ],
    [ "Topics", "topics.html", "topics" ],
    [ "Namespaces", "namespaces.html", [
      [ "Namespace List", "namespaces.html", "namespaces_dup" ]
    ] ],
    [ "Classes", "annotated.html", [
      [ "Class List", "annotated.html", "annotated_dup" ],
      [ "Class Index", "classes.html", null ],
      [ "Class Hierarchy", "hierarchy.html", "hierarchy" ],
      [ "Class Members", "functions.html", [
        [ "All", "functions.html", "functions_dup" ],
        [ "Functions", "functions_func.html", "functions_func" ],
        [ "Variables", "functions_vars.html", null ]
      ] ]
    ] ],
    [ "Files", "files.html", [
      [ "File List", "files.html", "files_dup" ],
      [ "File Members", "globals.html", [
        [ "All", "globals.html", "globals_dup" ],
        [ "Functions", "globals_func.html", null ],
        [ "Variables", "globals_vars.html", null ],
        [ "Typedefs", "globals_type.html", null ],
        [ "Enumerations", "globals_enum.html", null ],
        [ "Enumerator", "globals_eval.html", null ],
        [ "Macros", "globals_defs.html", "globals_defs" ]
      ] ]
    ] ]
  ] ]
];

var NAVTREEINDEX =
[
"_abstract_exception_8h.html",
"_qore_lib_8h.html#a5c94927f2bc227e59c7aa679ba30a210",
"_restrictions_8h.html#ae09562df3ae2b88c3f5ef1ec4a79ceb1",
"class_datasource.html#a5c62b71155881387b5a26830632b7da8",
"class_implementation_page.html#constructor_methods",
"class_qore_class_hierarchy_iterator.html#a60e81fe3323e10af0e05820720736199",
"class_qore_foreign_thread_helper.html",
"class_qore_list_node.html#ad5d4e9ca03cf4c0ef56f486501e8d9d5",
"class_qore_object.html#a927108929ce88aec3480d5140a58b37a",
"class_qore_simple_value.html#a55f60274a3a1a3f90ac04229e3fd0b58",
"class_qore_string.html#a33c46f86aaef3aec0809db80087cae81",
"class_qore_u_r_l.html#a8bf680927f778cfc193dd0e77ab2006e",
"class_value_optional_ref_holder.html#a23f129024aeb19212b17c0f0192edf9f",
"node__types_8h.html#ab2697e111e44edbcc1e4f4f8b6f60352"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';